summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-01-12 07:00:39 +0100
committerJeroen Roovers <jer@gentoo.org>2016-01-12 07:01:31 +0100
commite12bdefc786a2cdfc543d5eea73e78ee33b5db9c (patch)
tree8760640da2228fddecd49033b7c579596aff603c /www-client
parentmedia-gfx/farbfeld: Update HOMEPAGE. (diff)
downloadgentoo-e12bdefc786a2cdfc543d5eea73e78ee33b5db9c.tar.gz
gentoo-e12bdefc786a2cdfc543d5eea73e78ee33b5db9c.tar.bz2
gentoo-e12bdefc786a2cdfc543d5eea73e78ee33b5db9c.zip
www-client/otter: Version bump.
Package-Manager: portage-2.2.26
Diffstat (limited to 'www-client')
-rw-r--r--www-client/otter/Manifest1
-rw-r--r--www-client/otter/otter-0.9.09.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/www-client/otter/Manifest b/www-client/otter/Manifest
index 3df37844c59..e1dbc258b82 100644
--- a/www-client/otter/Manifest
+++ b/www-client/otter/Manifest
@@ -1,2 +1,3 @@
DIST otter-0.9.07.tar.gz 2634317 SHA256 1c27509f9736a9c99e12a3ef23b08cc41548ad7f6d7481bf07020fb471788da9 SHA512 035462e7a601e74a6a3dc924caf2d80e38e2ec75d75211d5f83176e0065a0289e8c0fd034643aa01c94dd6cfe9f695a4533e7464e6f019ed9153eec20641fa78 WHIRLPOOL 4c50c76d2d5fc75f9c6545dc57e2b21295e046af1bae9653999bc4880c5bd6021cfb75e125d6c75f3ef76e6c3999bcf271cafc090ab52d63cf84165876541227
DIST otter-0.9.08.tar.gz 3124966 SHA256 b4606aca5983b90b232a90517f283c2c6a1045f295352792b4a2c00a51b5d4c8 SHA512 9244a84490bb8dda12b932f6b39a41000a96740ef9c194e8f52a31122d763f857462e88219f086e8ad886dd6e0d79d4143060ddb801aaeb30c2952cef283e5ff WHIRLPOOL b395badb4b92e954f6437267ef3cb4f9b59a8b4043efd3bccadc8e9b3dc63dfb460d872e1837363464a2f8b46eca2022d7aaea318ccfcbe73329959c38f1aca2
+DIST otter-0.9.09.tar.gz 3197615 SHA256 4fb555da8c8268cce3893a5af8c777b355978da4f87184a5a413a5c233622c6c SHA512 269d896784f6cdcc051c4d6c1b182910d62c10998b10993cb90387cc81a8ca032a36cbe0182695d441b3e470a7a5ba7f54ffb5436cbf566a3ccd9bf3911734b1 WHIRLPOOL 1bd3acf698b6d04bd4f65abcac1bef2c0708bdf56bf53eeb36b42bc36a36b06baf5c5239fcaca15dbf48a701eebca6701bba4ba7db39e7a0dfe91c606554ae43
diff --git a/www-client/otter/otter-0.9.09.ebuild b/www-client/otter/otter-0.9.09.ebuild
new file mode 100644
index 00000000000..91e53751cfb
--- /dev/null
+++ b/www-client/otter/otter-0.9.09.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WANT_CMAKE="always"
+inherit eutils cmake-utils
+
+DESCRIPTION="Project aiming to recreate classic Opera (12.x) UI using Qt5"
+HOMEPAGE="http://otter-browser.org/"
+SRC_URI="https://github.com/Emdek/${PN}/archive/v${PV/_p/-dev}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="spell"
+
+DEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsql:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxmlpatterns:5
+ spell? ( kde-frameworks/sonnet )
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+S=${WORKDIR}/${PN}-browser-${PV/_p/-dev}
+DOCS=( CHANGELOG CONTRIBUTING.md TODO )
+
+src_prepare() {
+ if [[ -n ${LINGUAS} ]]; then
+ local lingua
+ for lingua in resources/translations/*.qm; do
+ lingua=$(basename ${lingua})
+ lingua=${lingua/otter-browser_/}
+ lingua=${lingua/.qm/}
+ if ! has ${lingua} ${LINGUAS}; then
+ rm resources/translations/otter-browser_${lingua}.qm || die
+ fi
+ done
+ fi
+
+ if ! use spell; then
+ sed -i -e '/find_package(KF5Sonnet)/d' CMakeLists.txt || die
+ fi
+}
+
+src_install() {
+ cmake-utils_src_install
+ domenu ${PN}-browser.desktop
+}